<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:36:06 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy (org.eclipse.papyrus.designer.languages.java.codegen.ui 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (org.eclipse.papyrus.designer.languages.java.codegen.ui 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.ui</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/handlers/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.ui.handlers</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/preferences/package-tree.html">org.eclipse.papyrus.designer.languages.java.codegen.ui.preferences</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.jface.dialogs.DialogPage (implements org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider)
<ul>
<li type="circle">org.eclipse.jface.preference.PreferencePage (implements org.eclipse.jface.preference.IPreferencePage)
<ul>
<li type="circle">org.eclipse.jface.preference.FieldEditorPreferencePage (implements org.eclipse.jface.util.IPropertyChangeListener)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.ui.preferences"><span class="typeNameLink">CodegenPreferencePage</span></a> (implements org.eclipse.ui.IWorkbenchPreferencePage)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.commands.common.EventManager
<ul>
<li type="circle">org.eclipse.core.commands.AbstractHandler (implements org.eclipse.core.commands.IHandler2)
<ul>
<li type="circle">org.eclipse.papyrus.uml.diagram.common.handlers.CmdHandler
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/handlers/GenerateCodeHandler.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.ui.handlers"><span class="typeNameLink">GenerateCodeHandler</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/handlers/JDTprojectHandler.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.ui.handlers"><span class="typeNameLink">JDTprojectHandler</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.eclipse.ui.plugin.AbstractUIPlugin
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/java/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.ui"><span class="typeNameLink">Activator</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
